Using 4.2.1 now in July 2017 and it's still a problem.